PATCH /deployments/{deployment_id}/elasticsearch/{ref_id}/tiers

Updates the size and/or zone count of one or more Elasticsearch topology elements (tiers) within a Deployment.

Path parameters

  • deployment_id string Required

    Identifier for the Deployment

  • ref_id string Required

    User-specified RefId for the Resource (or '_main' if there is only one)

application/json

Body Required

A map of tier IDs to their desired configuration

  • hot_content object

    Configuration for an individual Elasticsearch tier

    Hide hot_content attributes Show hot_content attributes object
    • memory_size integer(int32)

      The desired memory size in MB for this tier.

    • zone_count integer(int32)

      The number of availability zones for this tier. If omitted, the current zone count is preserved.

  • warm object

    Configuration for an individual Elasticsearch tier

    Hide warm attributes Show warm attributes object
    • memory_size integer(int32)

      The desired memory size in MB for this tier.

    • zone_count integer(int32)

      The number of availability zones for this tier. If omitted, the current zone count is preserved.

  • cold object

    Configuration for an individual Elasticsearch tier

    Hide cold attributes Show cold attributes object
    • memory_size integer(int32)

      The desired memory size in MB for this tier.

    • zone_count integer(int32)

      The number of availability zones for this tier. If omitted, the current zone count is preserved.

  • frozen object

    Configuration for an individual Elasticsearch tier

    Hide frozen attributes Show frozen attributes object
    • memory_size integer(int32)

      The desired memory size in MB for this tier.

    • zone_count integer(int32)

      The number of availability zones for this tier. If omitted, the current zone count is preserved.

  • master object

    Configuration for an individual Elasticsearch tier

    Hide master attributes Show master attributes object
    • memory_size integer(int32)

      The desired memory size in MB for this tier.

    • zone_count integer(int32)

      The number of availability zones for this tier. If omitted, the current zone count is preserved.

  • coordinating object

    Configuration for an individual Elasticsearch tier

    Hide coordinating attributes Show coordinating attributes object
    • memory_size integer(int32)

      The desired memory size in MB for this tier.

    • zone_count integer(int32)

      The number of availability zones for this tier. If omitted, the current zone count is preserved.

  • ml object

    Configuration for an individual Elasticsearch tier

    Hide ml attributes Show ml attributes object
    • memory_size integer(int32)

      The desired memory size in MB for this tier.

    • zone_count integer(int32)

      The number of availability zones for this tier. If omitted, the current zone count is preserved.

Responses

  • 200 application/json

    The tier configuration was updated and a plan change was initiated.

    Hide response attributes Show response attributes object
    • id string Required

      The id of the deployment

    • name string Required

      The name of the deployment

    • alias string

      A user-defined alias to use in place of ResourceIds for user-friendly resource URLs

    • resources array[object] Required

      List of resources that are part of the deployment after the update operation.

      Hide resources attributes Show resources attributes object

      Data for a deployment resource

      • ref_id string Required

        A locally-unique friendly alias for this Elasticsearch cluster

      • elasticsearch_cluster_ref_id string

        The Elasticsearch cluster that this resource depends on.

      • id string Required

        A system-unique id for the created resource

      • kind string Required

        The kind of resource

      • region string Required

        Identifier of the region in which this resource runs.

      • cloud_id string

        An encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana

      • credentials object

        The username and password for the new Elasticsearch cluster, which is returned from the Elasticsearch cluster create command.

        Hide credentials attributes Show credentials attributes object
        • username string Required

          The username of the newly created cluster

        • password string Required

          The password of the newly created cluster

      • secret_token string

        Secret token for using a created resource. Only provided on initial create and absent otherwise.

      • warnings array[object]

        List of warnings generated from validating resource updates

        Hide warnings attributes Show warnings attributes object
        • code string Required

          A structured code representing the error type that occurred

        • message string

          A human readable message describing the warning that occurred

    • shutdown_resources object

      Details about orphaned resources.

      Hide shutdown_resources attributes Show shutdown_resources attributes object
      • elasticsearch array[object] Required

        List of orphaned Elasticsearch resources

        Hide elasticsearch attributes Show elasticsearch attributes object

        Details about an orphaned Elasticsearch resources.

        • id string Required

          The id of the orphaned resource

        • dependents array[object] Required

          List of orphaned dependent resources

          Hide dependents attributes Show dependents attributes object

          Details about an orphaned Elasticsearch-dependent resources.

          • id string Required

            The id of the orphaned resource

          • kind string Required

            The kind of resource

      • kibana array[string] Required

        List of orphaned Kibana resource ids

      • apm array[string] Required

        List of orphaned APM resource ids

      • appsearch array[string] Required

        List of orphaned AppSearch resource ids

      • integrations_server array[string] Required

        List of orphaned Integrations Server resource ids

    • diagnostics object

      Describes the diagnostics for a given Deployment-modifying payload

      Hide diagnostics attributes Show diagnostics attributes object
      • creates object

        Holds diagnostics for resources that will be created

        Hide creates attributes Show creates attributes object
        • elasticsearch array[object]

          Diagnostics for Elasticsearch clusters

          Hide elasticsearch attributes Show elasticsearch attributes object

          Holds diagnostics for an Elasticsearch cluster

          • ref_id string Required

            A locally-unique user-specified id

          • display_name string Required

            The human readable name for the cluster (defaults to the generated cluster id if not specified)

          • backend_plan object Required

            The backend plan as JSON

        • kibana array[object]

          Diagnostics for Kibanas

          Hide kibana attributes Show kibana attributes object

          Holds diagnostics for a Kibana resource

          • ref_id string Required

            A locally-unique user-specified id

          • display_name string Required

            The human readable name (defaults to the generated cluster id if not specified)

          • elasticsearch_cluster_ref_id string Required

            The user-specified id of the Elasticsearch Cluster that this will link to

          • backend_plan object Required

            The backend plan as JSON

        • apm array[object]

          Diagnostics for APMs

          Hide apm attributes Show apm attributes object

          Holds diagnostics for an APM resource

          • ref_id string Required

            A locally-unique user-specified id

          • display_name string Required

            The human readable name (defaults to the generated cluster id if not specified)

          • elasticsearch_cluster_ref_id string Required

            The user-specified id of the Elasticsearch Cluster that this will link to

          • backend_plan object Required

            The backend plan as JSON

        • integrations_server array[object]

          Diagnostics for Integrations Server

          Hide integrations_server attributes Show integrations_server attributes object

          Holds diagnostics for an Integrations Server resource

          • ref_id string Required

            A locally-unique user-specified id

          • display_name string Required

            The human readable name (defaults to the generated cluster id if not specified)

          • elasticsearch_cluster_ref_id string Required

            The user-specified id of the Elasticsearch Cluster that this will link to

          • backend_plan object Required

            The backend plan as JSON

        • appsearch array[object]

          Diagnostics for AppSearches

          Hide appsearch attributes Show appsearch attributes object

          Holds diagnostics for an AppSearch resource

          • ref_id string Required

            A locally-unique user-specified id

          • display_name string Required

            The human readable name (defaults to the generated cluster id if not specified)

          • elasticsearch_cluster_ref_id string Required

            The user-specified id of the Elasticsearch Cluster that this will link to

          • backend_plan object Required

            The backend plan as JSON

      • updates object

        Holds diagnostics for existing resources that might be updated

        Hide updates attributes Show updates attributes object
        • elasticsearch array[object]

          Diagnostics for Elasticsearch clusters

          Hide elasticsearch attributes Show elasticsearch attributes object

          Holds diagnostics for an Elasticsearch cluster

          • ref_id string Required

            A locally-unique user-specified id

          • display_name string Required

            The human readable name for the cluster (defaults to the generated cluster id if not specified)

          • backend_plan object Required

            The backend plan as JSON

        • kibana array[object]

          Diagnostics for Kibanas

          Hide kibana attributes Show kibana attributes object

          Holds diagnostics for a Kibana resource

          • ref_id string Required

            A locally-unique user-specified id

          • display_name string Required

            The human readable name (defaults to the generated cluster id if not specified)

          • elasticsearch_cluster_ref_id string Required

            The user-specified id of the Elasticsearch Cluster that this will link to

          • backend_plan object Required

            The backend plan as JSON

        • apm array[object]

          Diagnostics for APMs

          Hide apm attributes Show apm attributes object

          Holds diagnostics for an APM resource

          • ref_id string Required

            A locally-unique user-specified id

          • display_name string Required

            The human readable name (defaults to the generated cluster id if not specified)

          • elasticsearch_cluster_ref_id string Required

            The user-specified id of the Elasticsearch Cluster that this will link to

          • backend_plan object Required

            The backend plan as JSON

        • integrations_server array[object]

          Diagnostics for Integrations Server

          Hide integrations_server attributes Show integrations_server attributes object

          Holds diagnostics for an Integrations Server resource

          • ref_id string Required

            A locally-unique user-specified id

          • display_name string Required

            The human readable name (defaults to the generated cluster id if not specified)

          • elasticsearch_cluster_ref_id string Required

            The user-specified id of the Elasticsearch Cluster that this will link to

          • backend_plan object Required

            The backend plan as JSON

        • appsearch array[object]

          Diagnostics for AppSearches

          Hide appsearch attributes Show appsearch attributes object

          Holds diagnostics for an AppSearch resource

          • ref_id string Required

            A locally-unique user-specified id

          • display_name string Required

            The human readable name (defaults to the generated cluster id if not specified)

          • elasticsearch_cluster_ref_id string Required

            The user-specified id of the Elasticsearch Cluster that this will link to

          • backend_plan object Required

            The backend plan as JSON

    • settings object

      Additional configuration about the current deployment object.

      Hide settings attributes Show settings attributes object
      • traffic_filter_settings object

        The configuration settings for the traffic filter.

        Hide traffic_filter_settings attribute Show traffic_filter_settings attribute object
        • rulesets array[string] Required

          IDs of the traffic filter rulesets

      • observability object

        The observability settings for a deployment

        Hide observability attributes Show observability attributes object
        • logging object

          The logging settings for a deployment

          Hide logging attribute Show logging attribute object
          • destination object Required

            The destination to send logs and metrics to

            Hide destination attributes Show destination attributes object
            • deployment_id string Required

              The deployment to send logs and/or metrics to. Contains either the deployment's ID or 'self'.

            • ref_id string

              RefId of the Elasticsearch cluster to send logs and/or metrics to. If not specified, refId is resolved automatically as long as the destination deployment contains a single Elasticsearch resource.

        • metrics object

          The metrics settings for a deployment

          Hide metrics attribute Show metrics attribute object
          • destination object Required

            The destination to send logs and metrics to

            Hide destination attributes Show destination attributes object
            • deployment_id string Required

              The deployment to send logs and/or metrics to. Contains either the deployment's ID or 'self'.

            • ref_id string

              RefId of the Elasticsearch cluster to send logs and/or metrics to. If not specified, refId is resolved automatically as long as the destination deployment contains a single Elasticsearch resource.

      • autoscaling_enabled boolean

        If autoscaling is enabled for this deployment.

      • auto_ops object Required

        AutoOps settings for this deployment.

        Hide auto_ops attribute Show auto_ops attribute object
        • status string Required

          See AutoOps integration status for this deployment.

          Values are connected, not_connected, or excluded.

      • solution_type string

        An optional string that declares the deployment's expected application. Example supported values are: elasticsearch, observability, security.

  • 404 application/json
    • The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
    • The Resource specified by {ref_id} cannot be found. (code: deployments.deployment_resource_not_found)
    • One or more tier IDs in the request body are not valid for this deployment. (code: deployments.tier_not_found)
    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Values are deployments.deployment_not_found, deployments.deployment_resource_not_found, or deployments.tier_not_found.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

  • 500 application/json

    We have failed you. (code: deployments.metadata_internal_error)

    Hide headers attribute Show headers attribute
    • x-cloud-error-codes string

      The error codes associated with the response

      Value is deployments.metadata_internal_error.

    Hide response attribute Show response attribute object
    • errors array[object] Required

      A list of errors that occurred in the failing request

      Hide errors attributes Show errors attributes object
      • code string Required

        A structured code representing the error type that occurred

      • message string Required

        A human readable message describing the error that occurred

      • fields array[string]

        If the error can be tied to a specific field or fields in the user request, this lists those fields

PATCH /deployments/{deployment_id}/elasticsearch/{ref_id}/tiers
curl \
 --request PATCH 'https://api.elastic-cloud.com/api/v1/deployments/{deployment_id}/elasticsearch/{ref_id}/tiers' \
 --header "Content-Type: application/json" \
 --data '{"hot_content":{"memory_size":42,"zone_count":42},"warm":{"memory_size":42,"zone_count":42},"cold":{"memory_size":42,"zone_count":42},"frozen":{"memory_size":42,"zone_count":42},"master":{"memory_size":42,"zone_count":42},"coordinating":{"memory_size":42,"zone_count":42},"ml":{"memory_size":42,"zone_count":42}}'